"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Events: function() {
        return _Events.Events;
    },
    ScriptLoader: function() {
        return _ScriptLoader.ScriptLoader;
    },
    ScriptLoaderPlugin: function() {
        return(// @deprecated, don't use this alias
        _ScriptLoader.ScriptLoader);
    },
    defaultDependencies: function() {
        return defaultDependencies;
    }
});
require("./types");
const _core = require("@ima/core");
const _Events = require("./Events");
const _ScriptLoader = require("./ScriptLoader");
const defaultDependencies = _ScriptLoader.ScriptLoader.$dependencies;
_core.pluginLoader.register('@ima/plugin-script-loader', ()=>({
        initBind: (ns, oc)=>{
            oc.get(_core.ComponentUtils).register('ScriptLoader', _ScriptLoader.ScriptLoader, '@ima/plugin-script-loader');
            /**
     * Deprecated, use 'ScriptLoader' instead, this is here
     * for backwards compatibility.
     */ oc.get(_core.ComponentUtils).register('ScriptLoaderPlugin', _ScriptLoader.ScriptLoader, '@ima/plugin-script-loader');
        }
    }));

//# sourceMappingURL=main.js.map